View Issue Details

IDProjectCategoryView StatusLast Update
0002752unrealircdpublic2006-01-23 17:07
ReporterJasonTikAssigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOS*OS Version*
Product Version3.2.4 
Target VersionFixed in Version3.2.4 
Summary0002752: ~c:#c\*t not working
Description+b ~c:#c\*t matches #c\*t but not #c*t or #c\at
TagsNo tags attached.
3rd party modules

Activities

trystanscott

2006-01-20 22:16

reporter   ~0010992

Confirmed, results

syzop

2006-01-23 17:07

administrator   ~0011035

This *should* be fixed in .431 / will be in pre2.

Changelog:
- Switched over to an older match() routine based on hybrid, this one is a bit less optimized
  but is actually understandable and has less bugs. This fixes +b ~c:#c\*t not properly
  matching #c*t, reported by Jason (0002752). Initial results look good, but this needs
  some good testing ;).

Issue History

Date Modified Username Field Change
2006-01-20 19:44 JasonTik New Issue
2006-01-20 22:16 trystanscott Note Added: 0010992
2006-01-21 10:27 syzop Status new => confirmed
2006-01-23 17:07 syzop Status confirmed => resolved
2006-01-23 17:07 syzop Fixed in Version => 3.2.4
2006-01-23 17:07 syzop Resolution open => fixed
2006-01-23 17:07 syzop Assigned To => syzop
2006-01-23 17:07 syzop Note Added: 0011035